## org.eclipse.ocl.cst
Interface CSTNode

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  BooleanLiteralExpCS, CallExpCS, ClassifierContextDeclCS, CollectionLiteralExpCS, CollectionLiteralPartCS, CollectionRangeCS, CollectionTypeCS, ContextDeclCS, DefCS, DefExpressionCS, DerValueCS, EnumLiteralExpCS, FeatureCallExpCS, IfExpCS, InitOrDerValueCS, InitValueCS, IntegerLiteralExpCS, InvalidLiteralExpCS, InvCS, InvOrDefCS, IsMarkedPreCS, IterateExpCS, IteratorExpCS, LetExpCS, LiteralExpCS, LoopExpCS, MessageExpCS, NullLiteralExpCS, OCLExpressionCS, OCLMessageArgCS, OperationCallExpCS, OperationContextDeclCS, OperationCS, PackageDeclarationCS, PathNameCS, PrePostOrBodyDeclCS, PrimitiveLiteralExpCS, PrimitiveTypeCS, PropertyContextCS, RealLiteralExpCS, SimpleNameCS, StateExpCS, StringLiteralExpCS, TupleLiteralExpCS, TupleTypeCS, TypeCS, UnlimitedNaturalLiteralExpCS, VariableCS, VariableExpCS

All Known Implementing Classes:
  BooleanLiteralExpCSImpl, CallExpCSImpl, ClassifierContextDeclCSImpl, CollectionLiteralExpCSImpl, CollectionLiteralPartCSImpl, CollectionRangeCSImpl, CollectionTypeCSImpl, ContextDeclCSImpl, CSTNodeImpl, DefCSImpl, DefExpressionCSImpl, DerValueCSImpl, EnumLiteralExpCSImpl, FeatureCallExpCSImpl, IfExpCSImpl, InitOrDerValueCSImpl, InitValueCSImpl, IntegerLiteralExpCSImpl, InvalidLiteralExpCSImpl, InvCSImpl, InvOrDefCSImpl, IsMarkedPreCSImpl, IterateExpCSImpl, IteratorExpCSImpl, LetExpCSImpl, LiteralExpCSImpl, LoopExpCSImpl, MessageExpCSImpl, NullLiteralExpCSImpl, OCLExpressionCSImpl, OCLMessageArgCSImpl, OperationCallExpCSImpl, OperationContextDeclCSImpl, OperationCSImpl, PackageDeclarationCSImpl, PathNameCSImpl, PrePostOrBodyDeclCSImpl, PrimitiveLiteralExpCSImpl, PrimitiveTypeCSImpl, PropertyContextCSImpl, RealLiteralExpCSImpl, SimpleNameCSImpl, StateExpCSImpl, StringLiteralExpCSImpl, TupleLiteralExpCSImpl, TupleTypeCSImpl, TypeCSImpl, UnlimitedNaturalLiteralExpCSImpl, VariableCSImpl, VariableExpCSImpl

    public interface CSTNode

extends EObject

A representation of the model object 'Node'.

The following features are supported:

- `Start Offset`
- `End Offset`

See Also:
  `CSTPackage.getCSTNode()`

Method Summary
`int` `getEndOffset()` Returns the value of the 'End Offset' attribute
`int` `getStartOffset()` Returns the value of the 'Start Offset' attribute
`void` `setEndOffset(int value)` Sets the value of the '`End Offset`' attribute
`void` `setStartOffset(int value)` Sets the value of the '`Start Offset`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getStartOffset

    int getStartOffset()

  Returns the value of the 'Start Offset' attribute.

  If the meaning of the 'Start Offset' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Start Offset' attribute.
  See Also:
    `setStartOffset(int)`, `CSTPackage.getCSTNode_StartOffset()`

### setStartOffset

    void setStartOffset(int value)

  Sets the value of the '`Start Offset`' attribute.

  Parameters:
    `value` - the new value of the 'Start Offset' attribute.
  See Also:
    `getStartOffset()`

### getEndOffset

    int getEndOffset()

  Returns the value of the 'End Offset' attribute.

  If the meaning of the 'End Offset' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'End Offset' attribute.
  See Also:
    `setEndOffset(int)`, `CSTPackage.getCSTNode_EndOffset()`

### setEndOffset

    void setEndOffset(int value)

  Sets the value of the '`End Offset`' attribute.

  Parameters:
    `value` - the new value of the 'End Offset' attribute.
  See Also:
    `getEndOffset()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.